Index: c/src/exec/libcsupport/src/getgrent.c
===================================================================
--- c/src/exec/libcsupport/src/getgrent.c	(revision c3d20eba96e9c26f775f3abf5ca6edcbd8c23963)
+++ c/src/exec/libcsupport/src/getgrent.c	(revision c51917f304dbea16877ad328da2d45512b751796)
@@ -37,5 +37,5 @@
   while (fgets (buffer, bufsize, fp)) {
     sscanf (buffer, "%[^:]:%[^:]:%d:%s\n",
-      groupname, password, &grp->gr_gid,
+      groupname, password, (int *) &grp->gr_gid,
       groups);
     grp->gr_name = groupname;
@@ -84,5 +84,5 @@
   while (fgets (buffer, bufsize, fp)) {
     sscanf (buffer, "%[^:]:%[^:]:%d:%s\n",
-      groupname, password, &gr_group.gr_gid,
+      groupname, password, (int *) &gr_group.gr_gid,
       groups);
     gr_group.gr_name = groupname;
@@ -126,5 +126,5 @@
 
   sscanf (buf, "%[^:]:%[^:]:%d:%s\n",
-    groupname, password, &gr_group.gr_gid,
+    groupname, password, (int *) &gr_group.gr_gid,
     groups);
   gr_group.gr_name = groupname;
Index: c/src/exec/libcsupport/src/getpwent.c
===================================================================
--- c/src/exec/libcsupport/src/getpwent.c	(revision c3d20eba96e9c26f775f3abf5ca6edcbd8c23963)
+++ c/src/exec/libcsupport/src/getpwent.c	(revision c51917f304dbea16877ad328da2d45512b751796)
@@ -34,5 +34,5 @@
 
   while (fgets (buffer, bufsize, fp)) {
-    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%s\n",
+    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%[^:]:%s\n",
         logname, password, &pwd->pw_uid,
         &pwd->pw_gid, comment, gecos,
@@ -85,5 +85,5 @@
 
   while (fgets (buffer, bufsize, fp)) {
-    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%s\n",
+    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%[^:]:%s\n",
      logname, password, &pw_passwd.pw_uid,
      &pw_passwd.pw_gid, comment, gecos,
@@ -130,8 +130,8 @@
     return NULL;
 
-  sscanf (buf, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%s\n",
-	  logname, password, &pw_passwd.pw_uid,
-	  &pw_passwd.pw_gid, comment, gecos,
-	  dir, shell);
+  sscanf (buf, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%[^:]:%s\n",
+    logname, password, &pw_passwd.pw_uid,
+    &pw_passwd.pw_gid, comment, gecos,
+    dir, shell);
   pw_passwd.pw_name = logname;
   pw_passwd.pw_passwd = password;
Index: c/src/lib/libc/getgrent.c
===================================================================
--- c/src/lib/libc/getgrent.c	(revision c3d20eba96e9c26f775f3abf5ca6edcbd8c23963)
+++ c/src/lib/libc/getgrent.c	(revision c51917f304dbea16877ad328da2d45512b751796)
@@ -37,5 +37,5 @@
   while (fgets (buffer, bufsize, fp)) {
     sscanf (buffer, "%[^:]:%[^:]:%d:%s\n",
-      groupname, password, &grp->gr_gid,
+      groupname, password, (int *) &grp->gr_gid,
       groups);
     grp->gr_name = groupname;
@@ -84,5 +84,5 @@
   while (fgets (buffer, bufsize, fp)) {
     sscanf (buffer, "%[^:]:%[^:]:%d:%s\n",
-      groupname, password, &gr_group.gr_gid,
+      groupname, password, (int *) &gr_group.gr_gid,
       groups);
     gr_group.gr_name = groupname;
@@ -126,5 +126,5 @@
 
   sscanf (buf, "%[^:]:%[^:]:%d:%s\n",
-    groupname, password, &gr_group.gr_gid,
+    groupname, password, (int *) &gr_group.gr_gid,
     groups);
   gr_group.gr_name = groupname;
Index: c/src/lib/libc/getpwent.c
===================================================================
--- c/src/lib/libc/getpwent.c	(revision c3d20eba96e9c26f775f3abf5ca6edcbd8c23963)
+++ c/src/lib/libc/getpwent.c	(revision c51917f304dbea16877ad328da2d45512b751796)
@@ -34,5 +34,5 @@
 
   while (fgets (buffer, bufsize, fp)) {
-    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%s\n",
+    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%[^:]:%s\n",
         logname, password, &pwd->pw_uid,
         &pwd->pw_gid, comment, gecos,
@@ -85,5 +85,5 @@
 
   while (fgets (buffer, bufsize, fp)) {
-    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%s\n",
+    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%[^:]:%s\n",
      logname, password, &pw_passwd.pw_uid,
      &pw_passwd.pw_gid, comment, gecos,
@@ -130,8 +130,8 @@
     return NULL;
 
-  sscanf (buf, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%s\n",
-	  logname, password, &pw_passwd.pw_uid,
-	  &pw_passwd.pw_gid, comment, gecos,
-	  dir, shell);
+  sscanf (buf, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%[^:]:%s\n",
+    logname, password, &pw_passwd.pw_uid,
+    &pw_passwd.pw_gid, comment, gecos,
+    dir, shell);
   pw_passwd.pw_name = logname;
   pw_passwd.pw_passwd = password;
Index: cpukit/libcsupport/src/getgrent.c
===================================================================
--- cpukit/libcsupport/src/getgrent.c	(revision c3d20eba96e9c26f775f3abf5ca6edcbd8c23963)
+++ cpukit/libcsupport/src/getgrent.c	(revision c51917f304dbea16877ad328da2d45512b751796)
@@ -37,5 +37,5 @@
   while (fgets (buffer, bufsize, fp)) {
     sscanf (buffer, "%[^:]:%[^:]:%d:%s\n",
-      groupname, password, &grp->gr_gid,
+      groupname, password, (int *) &grp->gr_gid,
       groups);
     grp->gr_name = groupname;
@@ -84,5 +84,5 @@
   while (fgets (buffer, bufsize, fp)) {
     sscanf (buffer, "%[^:]:%[^:]:%d:%s\n",
-      groupname, password, &gr_group.gr_gid,
+      groupname, password, (int *) &gr_group.gr_gid,
       groups);
     gr_group.gr_name = groupname;
@@ -126,5 +126,5 @@
 
   sscanf (buf, "%[^:]:%[^:]:%d:%s\n",
-    groupname, password, &gr_group.gr_gid,
+    groupname, password, (int *) &gr_group.gr_gid,
     groups);
   gr_group.gr_name = groupname;
Index: cpukit/libcsupport/src/getpwent.c
===================================================================
--- cpukit/libcsupport/src/getpwent.c	(revision c3d20eba96e9c26f775f3abf5ca6edcbd8c23963)
+++ cpukit/libcsupport/src/getpwent.c	(revision c51917f304dbea16877ad328da2d45512b751796)
@@ -34,5 +34,5 @@
 
   while (fgets (buffer, bufsize, fp)) {
-    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%s\n",
+    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%[^:]:%s\n",
         logname, password, &pwd->pw_uid,
         &pwd->pw_gid, comment, gecos,
@@ -85,5 +85,5 @@
 
   while (fgets (buffer, bufsize, fp)) {
-    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%s\n",
+    sscanf (buffer, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%[^:]:%s\n",
      logname, password, &pw_passwd.pw_uid,
      &pw_passwd.pw_gid, comment, gecos,
@@ -130,8 +130,8 @@
     return NULL;
 
-  sscanf (buf, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%s\n",
-	  logname, password, &pw_passwd.pw_uid,
-	  &pw_passwd.pw_gid, comment, gecos,
-	  dir, shell);
+  sscanf (buf, "%[^:]:%[^:]:%d:%d:%[^:]:%[^:]:%[^:]:%s\n",
+    logname, password, &pw_passwd.pw_uid,
+    &pw_passwd.pw_gid, comment, gecos,
+    dir, shell);
   pw_passwd.pw_name = logname;
   pw_passwd.pw_passwd = password;
